Creates a new job_priority object
Request Information
URI Parameters :
None.
Body Parameters :
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "70e33b9d-eec7-4539-9496-16868388ebd8",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "354cb4d6-5470-4fa1-937f-76c107fbecb9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3fbb7aae-1052-4c15-9490-23b43b27c974",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5815e586-12f8-4fe2-bc27-71f463be1281",
"db_currency_id": "ba7c1fbc-8647-4e2d-b63a-72c4e35f3b27",
"db_language_id": "8f57dd93-a74f-4051-b234-fcf45f07b5c2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T07:53:31.6051172+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-29T07:53:31.6051172+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.